DriftTermStructure Class Reference

Drift term structure. More...

`#include <ql/termstructures/yield/drifttermstructure.hpp>`

Inheritance diagram for DriftTermStructure:
[legend]

## Public Member Functions

| DriftTermStructure (const Handle< YieldTermStructure > &riskFreeTS, const Handle< YieldTermStructure > &dividendTS, const Handle< BlackVolTermStructure > &blackVolTS)
Public Member Functions inherited from ZeroYieldStructure
| ZeroYieldStructure (const DayCounter &dc=DayCounter())
| ZeroYieldStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| ZeroYieldStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
QL_DEPRECATED | ZeroYieldStructure (const DayCounter &dc, const std::vector< Handle< Quote > > &jumps, const std::vector< Date > &jumpDates=std::vector< Date >())
Public Member Functions inherited from YieldTermStructure
| YieldTermStructure (const DayCounter &dc=DayCounter())
| YieldTermStructure (const Date &referenceDate, const Calendar &cal=Calendar(), const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| YieldTermStructure (Natural settlementDays, const Calendar &cal, const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
QL_DEPRECATED | YieldTermStructure (const DayCounter &dc, const std::vector< Handle< Quote > > &jumps, const std::vector< Date > &jumpDates=std::vector< Date >())
DiscountFactor | discount (const Date &d, bool extrapolate=false) const
DiscountFactor | discount (Time t, bool extrapolate=false) const
InterestRate | zeroRate (const Date &d, const DayCounter &resultDayCounter, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | zeroRate (Time t, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | forwardRate (const Date &d1, const Date &d2, const DayCounter &resultDayCounter, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | forwardRate (const Date &d, const Period &p, const DayCounter &resultDayCounter, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
InterestRate | forwardRate (Time t1, Time t2, Compounding comp, Frequency freq=Annual, bool extrapolate=false) const
const std::vector< Date > & | jumpDates () const
const std::vector< Time > & | jumpTimes () const
void | update ()
Public Member Functions inherited from TermStructure
| TermStructure (const DayCounter &dc=DayCounter())
| default constructor More...
| TermStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| TermStructure (Natural settlementDays, const Calendar &, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
virtual | ~TermStructure ()
Time | timeFromReference (const Date &date) const
| date/time conversion
virtual Time | maxTime () const
| the latest time for which the curve can return values
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## YieldTermStructure interface

DayCounter | dayCounter () const
| the day counter used for date/time conversion
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
Natural | settlementDays () const
| the settlementDays used for reference date calculation
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Date | maxDate () const
| the latest date for which the curve can return values
Rate | zeroYieldImpl (Time) const
| returns the discount factor as seen from the evaluation date

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from ZeroYieldStructure
DiscountFactor | discountImpl (Time) const
Protected Member Functions inherited from YieldTermStructure
Protected Member Functions inherited from TermStructure
void | checkRange (const Date &d, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check
Protected Attributes inherited from TermStructure
bool | moving_
bool | updated_
Calendar | calendar_

## Detailed Description

Drift term structure.

Drift term structure for modelling the common drift term: riskFreeRate - dividendYield - 0.5*vol*vol

Note
  This term structure will remain linked to the original structures, i.e., any changes in the latters will be reflected in this structure as well.